commit:     6e3b4c5604b9a5a67dfad674873ee7954698ad76
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 13 09:27:48 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 13 09:55:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e3b4c56

dev-python/GitPython: Remove redundant MY_P*

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/GitPython/GitPython-3.1.0.ebuild | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/dev-python/GitPython/GitPython-3.1.0.ebuild 
b/dev-python/GitPython/GitPython-3.1.0.ebuild
index 586d0abb46d..8d0903d9899 100644
--- a/dev-python/GitPython/GitPython-3.1.0.ebuild
+++ b/dev-python/GitPython/GitPython-3.1.0.ebuild
@@ -8,20 +8,17 @@ PYTHON_REQ_USE="threads(+)"
 
 inherit distutils-r1
 
-MY_PN=GitPython
-MY_P=${MY_PN}-${PV}
 GITDB_P=gitdb-4.0.2
 SMMAP_P=smmap-3.0.1
 
 DESCRIPTION="Library used to interact with Git repositories"
 HOMEPAGE="https://github.com/gitpython-developers/GitPython 
https://pypi.org/project/GitPython/";
-SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
        test? (
-               https://dev.gentoo.org/~mgorny/dist/${MY_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${P}.gitbundle
                https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
                https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
        )"
-S=${WORKDIR}/${MY_P}
 
 LICENSE="BSD"
 SLOT="0"
@@ -41,7 +38,7 @@ src_test() {
        git config --global user.email "[email protected]" || die
        git config --global user.name "Your Name" || die
 
-       git clone "${DISTDIR}/${MY_P}.gitbundle" "${T}"/test || die
+       git clone "${DISTDIR}/${P}.gitbundle" "${T}"/test || die
        git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
                "${T}"/test/git/ext/gitdb || die
        git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \

Reply via email to